<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />

  <link rel="icon" type="image/png" sizes="32x32" href="./images/favicon-32x32.png" />

  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@1,700&display=swap" rel="stylesheet">

  <link rel="stylesheet" href="/style.css">
  <link rel="stylesheet" href="/responsoive.css">

  <title>Pricing component</title>

</head>

<body>
  <div class="pricePage">
    <input type="button" onclick="location.href = '/contact.html';" value="Contact Us" class="contact">
    <h1>Our Pricing</h1>
    <p>
      Annually <span class="switch"><input id="switch-1" type="checkbox" class="switch-input" /><label for="switch-1"
          class="switch-label"></label></span> Monthly
    </p>

    <div class="priceCardWrapper">

      <div class="priceCard">
        <h2>Basic</h2>
        <h3 class="price">
          <span class="dollar">&dollar;</span><span class="monthly">19.99</span><span class="yearly">199.99</span>
        </h3>
        <hr>
        500GB Storage
        <hr />
        2 Users Allowed
        <hr />
        Send up to 3 GB
        <hr />
        <input type="button" value="Learn More" class="learnMoreButton">
      </div>


      <div class="priceCard">
        <h2>Professional</h2>
        <h3 class="price">
          <span class="dollar">&dollar;</span><span class=" monthly">24.99</span><span class=" yearly">249.99</span>
        </h3>
        <hr>1 TB Storage
        <hr />
        5 Users Allowed
        <hr />
        Send up to 10 GB
        <hr />
        <input type="button" value="Learn More" class="learnMoreButton">
      </div>


      <div class="priceCard">
        <h2>Master</h2>
        <h3 class="price">
          <span class="dollar">&dollar;</span><span class="monthly">39.99 </span><span class="yearly">399.99</span>
        </h3>
        <hr>2 TB Storage
        <hr />
        10 Users Allowed
        <hr />
        Send up to 20 GB
        <hr />
        <input type="button" value="Learn More" class="learnMoreButton">
      </div>
    </div>
  </div>
</body>
<script>
  var check = document.getElementById('switch-1');
  var monthlyPlans = document.querySelectorAll('.monthly');
  var yearlyPlans = document.querySelectorAll('.yearly');
  function displayOn(select) {
    select.style.display = this.checked ? 'inline-block' : 'none';
  }
  function displayOff(select) {
    select.style.display = this.checked ? 'none' : 'inline-block';
  }
  check.addEventListener('click', function (event) {
    if (check.checked === true) {
      monthlyPlans.forEach(displayOff);
      yearlyPlans.forEach(displayOn);
    }
    else {
      monthlyPlans.forEach(displayOn);
      yearlyPlans.forEach(displayOff);
    }
    })
</script>

</html>